#ifndef _GYR_CONFIG_H
#define _GYR_CONFIG_H

#include <set>

#include <getopt.h>
#include <glibmm.h>

#include "protocol.h"
#include "group.h"

class Config {
	private:
		std::list<HostId> _group_hosts;
		int _port;
		Protocol::Type _mode;

	protected:

	public:

		Config(int argc, char **argv);

		void usage();
		bool isValid();
		std::list<HostId> getGroupHosts();
		int getPort();
		Protocol::Type getMode();
};
#endif // _GYR_CONFIG_H
